Loading...
Searching...
No Matches
SimpleModularFluidState.hpp File Reference

Represents all relevant thermodynamic quantities of a multi-phase, multi-component fluid system assuming thermodynamic equilibrium. More...

`#include "FluidStatePressureModules.hpp"`
`#include "FluidStateTemperatureModules.hpp"`
`#include "FluidStateCompositionModules.hpp"`
`#include "FluidStateFugacityModules.hpp"`
`#include "FluidStateSaturationModules.hpp"`
`#include "FluidStateDensityModules.hpp"`
`#include "FluidStateViscosityModules.hpp"`
`#include "FluidStateEnthalpyModules.hpp"`
`#include "ModularFluidState.hpp"`
`#include <type_traits>`

Go to the source code of this file.

## Classes

class | Opm::SimpleModularFluidState< ScalarT, numPhasesV, numComponentsV, FluidSystem, storePressure, storeTemperature, storeComposition, storeFugacity, storeSaturation, storeDensity, storeViscosity, storeEnthalpy >
| Represents all relevant thermodynamic quantities of a multi-phase, multi-component fluid system assuming thermodynamic equilibrium. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Macros

#define | OPM_SMFS

## Detailed Description

Represents all relevant thermodynamic quantities of a multi-phase, multi-component fluid system assuming thermodynamic equilibrium.

This class uses simpler and slightly less flexible template parameters as ModularFluidState. Except for this, it is identical.

## Macro Definition Documentation

## OPM_SMFS

#define OPM_SMFS

Value:
SimpleModularFluidState<ScalarT, \
numPhasesV, \
numComponentsV, \
FluidSystem, \
storePressure, \
storeTemperature, \
storeComposition, \
storeFugacity, \
storeSaturation, \
storeDensity, \
storeViscosity, \
storeEnthalpy>